## dh-nss 1.7

=== Makefile ===
all: dh_installnss.1

dh_installnss.1: dh_installnss
	pod2man --utf8 $< > $@

update-version:
	sed -E -i dh_installnss -e '/^our \$$VERSION = .*;$$/ s/= .*;$$/= "'"$$(dpkg-parsechangelog -S Version)"'";/'

.PHONY: all update-version

## dh-nss 1.5~bpo11+1

=== debian/changelog ===
dh-nss (1.5~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Gioele Barabucci <gioele@svario.it>  Mon, 22 Aug 2022 21:49:30 +0200

dh-nss (1.5) unstable; urgency=medium

  * autoscripts/postinst-nss: Fix detection of previous modifications
    (Closes: #1017101)
  * autoscripts/postrm-nss: Do not modify comments during service removal
  * dh_installnss: Fix uniqueness test for service names
  * d/tests/control: Mark shellcheck test as superficial
  * d/tests/doc-example-comments: Test also reinstallation
  * autoscripts/postrm-nss: Match actions in a case-insensitive way
  * autoscripts/postrm-nss: Use different labels instead of `/g` for
    replacement loops

 -- Gioele Barabucci <gioele@svario.it>  Sun, 14 Aug 2022 03:44:23 +0200

dh-nss (1.4) unstable; urgency=medium

  * autoscripts: Use `grep -q` instead of redirecting stdout
  * autoscripts/postrm-nss: Properly handle non-purged packages
  * autoscripts/postinst-nss: Handle reinstallation of non purged packages
  * d/tests/doc-example: Test package removal and reinstallation
  * debian/tests: Add shellcheck test for generated maintscripts
  * t/dh_installnss: Test multiple positions in different order
  * autoscripts: Assume DPKG_ROOT is set but possibly empty

 -- Gioele Barabucci <gioele@svario.it>  Wed, 10 Aug 2022 18:02:07 +0200

dh-nss (1.3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Gioele Barabucci <gioele@svario.it>  Wed, 10 Aug 2022 22:22:21 +0200

dh-nss (1.3) unstable; urgency=medium

  * dh_installnss: Fix order of removal of services in postrm
  * d/tests: Add test for binary reproducibility
  * d/gbp.conf: Automatically update version number

 -- Gioele Barabucci <gioele@svario.it>  Mon, 08 Aug 2022 10:46:18 +0200

dh-nss (1.2) unstable; urgency=medium

  * dh_installnss: Improve reproducibility of postrm

 -- Gioele Barabucci <gioele@svario.it>  Mon, 08 Aug 2022 01:38:43 +0200

dh-nss (1.1) unstable; urgency=medium

  * dh_installnss: Properly handle comments in db lines
  * autoscripts/postrm-nss: Remove services during `remove` or `purge`
  * d/control: Add Enhances: debhelper
  * d/control: Add Perl dependencies
  * d/control: Mark package as Multi-Arch: foreign
  * d/copyright: Change license to 0BSD
  * d/copyright: Mark vendored t/Test/* as GPL-2+
  * d/gitlab-ci: Add standard CI instructions
  * d/install: wrap-and-sort -ast
  * d/tests: Add autopkgtest tests
  * d/watch: Remove watch for native package

 -- Gioele Barabucci <gioele@svario.it>  Sun, 07 Aug 2022 16:37:41 +0200

dh-nss (1) unstable; urgency=medium

  * Initial release (Closes: #1016100)

 -- Gioele Barabucci <gioele@svario.it>  Mon, 25 Jul 2022 18:48:27 +0200

=== t/dh_installnss/debian/control ===
Source: foo
Section: misc
Priority: optional
Maintainer: Test <testing@example.org>
Standards-Version: 3.9.8

Package: foo-before1
Architecture: all
Description: package foo-before1

Package: foo-before2
Architecture: all
Description: package foo-before2

Package: foo-after1
Architecture: all
Description: package foo-after1

Package: foo-after2
Architecture: all
Description: package foo-after2

Package: foo-first1
Architecture: all
Description: package foo-first1

Package: foo-first2
Architecture: all
Description: package foo-first2

Package: foo-first3
Architecture: all
Description: package foo-first2

Package: foo-last1
Architecture: all
Description: package foo-last1

Package: foo-last2
Architecture: all
Description: package foo-last1

Package: foo-last3
Architecture: all
Description: package foo-last1

Package: foo-remove-only1
Architecture: all
Description: package foo-remove-only1

Package: foo-other
Architecture: all
Description: package foo-other

Package: foo-example
Architecture: all
Description: package foo-example

Package: foo-skip
Architecture: all
Description: package foo-skip

Package: foo-substring
Architecture: all
Description: package foo-substring

## dh-nss 1.6~bpo11+1

=== debian/changelog ===
dh-nss (1.6~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Gioele Barabucci <gioele@svario.it>  Wed, 24 Aug 2022 17:36:32 +0200

dh-nss (1.6) unstable; urgency=medium

  * dh_installnss: Do not generate debhelper snippets if .nss contains
    no directives
  * dh_installnss: Add new NSS database when `position=database`
  * dh_installnss: Limit search for installed services to target databases only
    (Closes: #1018001)
  * dh_installnss: Streamline generation of regular expressions
  * dh_installnss: Validate fields of .nss files
  * autoscripts/postinst-nss: Do not inject services during upgrades

 -- Gioele Barabucci <gioele@svario.it>  Wed, 24 Aug 2022 17:30:32 +0200

=== t/dh_installnss/debian/control ===
--- 
+++ 
@@ -20,6 +20,14 @@
 Architecture: all
 Description: package foo-after2
 
+Package: foo-empty1
+Architecture: all
+Description: package foo-empty1
+
+Package: foo-empty2
+Architecture: all
+Description: package foo-empty2
+
 Package: foo-first1
 Architecture: all
 Description: package foo-first1
@@ -30,7 +38,7 @@
 
 Package: foo-first3
 Architecture: all
-Description: package foo-first2
+Description: package foo-first3
 
 Package: foo-last1
 Architecture: all
@@ -38,11 +46,19 @@
 
 Package: foo-last2
 Architecture: all
-Description: package foo-last1
+Description: package foo-last2
 
 Package: foo-last3
 Architecture: all
-Description: package foo-last1
+Description: package foo-last3
+
+Package: foo-multidb1
+Architecture: all
+Description: package foo-multidb1
+
+Package: foo-newdb1
+Architecture: all
+Description: package foo-newdb1
 
 Package: foo-remove-only1
 Architecture: all

## dh-nss 1.6

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build: dh_installnss.1
	dh $@

dh_installnss.1: dh_installnss
	pod2man --utf8 $< > $@

## dh-nss 1.7~bpo11%2B1

=== debian/changelog ===
dh-nss (1.7~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * d/gbp.conf: Use DEP-14 branch naming for bullseye backports
  * d/gbp.conf: Do not update version info in backports

 -- Gioele Barabucci <gioele@svario.it>  Tue, 01 Nov 2022 09:40:05 +0100

dh-nss (1.7) unstable; urgency=medium

  * dh_installnss: Add `database-add` and `database-require` to manage
    non-standard DBs
  * dh_installnss: Document how to deal with non-standard NSS database
    (Closes: #1019728)
  * dh_installnss: Fix perldoc formatting errors
  * autoscripts/preinst-nss: Remove unused variable substitution
  * Makefile: Add instructions on how to generate man page
  * Makefile: Add target to update version in executable
  * d/gbp.conf: Run `make update-version` in dch postedit hook
  * d/gbp.conf: Use DEP-14 branch naming

 -- Gioele Barabucci <gioele@svario.it>  Tue, 01 Nov 2022 09:24:30 +0100

=== debian/control ===
Source: dh-nss
Section: devel
Priority: optional
Maintainer: Gioele Barabucci <gioele@svario.it>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/gioele/dh-nss
Vcs-Browser: https://salsa.debian.org/gioele/dh-nss
Vcs-Git: https://salsa.debian.org/gioele/dh-nss.git

Package: dh-nss
Architecture: all
Multi-Arch: foreign
Depends:
 libdebhelper-perl,
 ${misc:Depends},
 ${perl:Depends},
Enhances:
 debhelper,
Provides:
 dh-sequence-installnss,
Description: debhelper addon to inject NSS services into /etc/nsswitch.conf
 The` dh_installnss` debhelper provides a declarative way for NSS-related
 packages to express how the NSS services they supply should be installed
 and in which order.

=== t/dh_installnss/debian/control ===
--- 
+++ 
@@ -60,6 +60,14 @@
 Architecture: all
 Description: package foo-newdb1
 
+Package: foo-newdb2
+Architecture: all
+Description: package foo-newdb2
+
+Package: foo-newdb3
+Architecture: all
+Description: package foo-newdb3
+
 Package: foo-remove-only1
 Architecture: all
 Description: package foo-remove-only1

## dh-nss 1.7

=== debian/tests/control ===
Tests:
 doc-example,
 doc-example-comments,
 multiple-pkgs,
 no-nsswitch-conf,
 reproducibility,
Depends: @, debhelper-compat (= 13), build-essential
Restrictions: allow-stderr, breaks-testbed, needs-root

Tests:
 shellcheck,
Depends: @, debhelper-compat (= 13), build-essential, shellcheck
Restrictions: allow-stderr, superficial

## dh-nss 1.7build1

=== debian/changelog ===
dh-nss (1.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 22:54:27 +0100

## dh-nss 1.7experimental1

=== debian/changelog ===
dh-nss (1.7experimental1) UNRELEASED; urgency=medium

  * Repackaged for mint/ubuntu

 -- Prowler_Gr@yahoo.gr <Prowler73@gmail.com>  Fri, 12 Apr 2024 22:22:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: dh-nss
-Section: devel
+Section: s6-experimental
 Priority: optional
 Maintainer: Gioele Barabucci <gioele@svario.it>
 Rules-Requires-Root: no

## dh-nss 1.8~exp1

=== debian/changelog ===
dh-nss (1.8~exp1) experimental; urgency=low

  * dh_installnss: Install .nss files in /usr/share/nsswitchconf
  * t/dh_installnss: Run tests with DH_VERBOSE=1
  * t/dh_installnss: Fix typo
  * t/Test/DH.pm: Sync with debhelper/13.20
  * d/control: Update standards version to 4.7.0, no changes needed

 -- Gioele Barabucci <gioele@svario.it>  Wed, 25 Sep 2024 18:16:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: dh-nss
-Section: s6-experimental
+Section: devel
 Priority: optional
 Maintainer: Gioele Barabucci <gioele@svario.it>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://salsa.debian.org/gioele/dh-nss
 Vcs-Browser: https://salsa.debian.org/gioele/dh-nss
 Vcs-Git: https://salsa.debian.org/gioele/dh-nss.git
